ActiveReports.NET 的相容性

相容性

Development Environments

.NET Framework

  • Application: Windows Forms, WPF, ASP.NET Web Forms, ASP.NET MVC5, JavaScript libraries (JSViewer, Web Designer)
  • Operating System: Windows 8.1, or 10, or Windows Server 2012, 2012 R2, 2016, and 2019
  • Microsoft Visual Studio: 2015, 2017 and 2019
  • Internet Information Services: 8.0, 8.5, 10

.NET Core 3.1 or .NET 5

  • Application: Windows Forms, WPF, ASP.NET Core MVC, JavaScript libraries (JSViewer, Web Designer)
  • Operating System: Windows 8.1, or 10, or Windows Server 2012, 2012 R2, 2016, and 2019
  • Microsoft Visual Studio: 2019 (16.4+) 2019 (16.8+) for .NET 5
  • Internet Information Services: 8.0, 8.5, 10
Run Time Supported Environments

Windows Forms and WPF

  • Microsoft .NET Framework Version: 4.6.2, 4.7, 4.7.1, 4.7.2, 4.8 or Microsoft .NET Core 3.1 or .NET 5
  • Operating System: Windows 8.1, or 10, or Windows Server 2012, 2012 R2, 2016 and 2019
Web Development

.NET Framework

Server

  • Version: Microsoft .NET Framework Version 4.6.2 and above
  • Application: ASP.NET Web Forms, ASP.NET MVC5, JavaScript libraries (JSViewer, Web Designer)
  • Operating System: Windows 8.1, or 10, or Windows Server 2012, 2012 R2, 2016 and 2019
  • Internet Information Services: 8.0, 8.5, 10

.NET Core 3.1 or .NET 5

Server

  • Version: Microsoft .NET Core 3.1 or .NET 5
  • Application: ASP.NET Core MVC, JavaScript libraries (JSViewer, Web Designer)
  • Operating System:
    • Windows 8.1, or 10, or Windows Server 2012, 2012 R2, 2016 and 2019
    • macOS 10.13+
    • RHEL 6+, Fedora 29+, Ubuntu 16.04+, Debian 9+, SLES 12 SP2+

Client

Browser:

  • Microsoft Internet Explorer 11
  • Microsoft Edge
  • Google Chrome (v50 or higher)
  • Firefox (v57 and above)
  • Safari (macOS 10 and higher)
  • Safari (iOS 10 and higher)
  • Safari (iPadOS 13 and higher)